#ifndef _EPIDEMIC_ENGINE_H
#define _EPIDEMIC_ENGINE_H

// humans per case of the epidemic grid
#define HUMAN_PER_CASE 1000000

// count : return an int *counter[4] of the form {healthy, infected, healed, dead}
int * count(const int epidemic_grid[64][128], int counter[4]);

// can_become_infected : return 0 if the case (i, j) isn't infectable, 1 else
int can_become_infected(const int epidemic_grid[64][128], const int i, const int j);

#endif /* _EPIDEMIC_ENGINE_H */